package domain


type AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO struct {
    /*
        单品活动类型1:减钱 2:一口价 3:打折     */
    DiscountType  *int64 `json:"discount_type,omitempty" `

    /*
        外部订单号     */
    OutActId  *string `json:"out_act_id,omitempty" `

    /*
        营销活动ID     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        活动名称     */
    ActivityName  *string `json:"activity_name,omitempty" `

    /*
        活动描述     */
    Description  *string `json:"description,omitempty" `

    /*
        活动开始时间     */
    StartTime  *int64 `json:"start_time,omitempty" `

    /*
        活动结束时间     */
    EndTime  *int64 `json:"end_time,omitempty" `

    /*
        活动周几生效     */
    Weekdays  *[]int64 `json:"weekdays,omitempty" `

    /*
        活动每天生效时间段     */
    EveryDayPeriods  *[]string `json:"every_day_periods,omitempty" `

    /*
        优惠适用场景:1:APP  2:POS     */
    Terminals  *[]int32 `json:"terminals,omitempty" `

    /*
        操作人ID     */
    CreatorId  *string `json:"creator_id,omitempty" `

    /*
        操作人姓名     */
    CreatorName  *string `json:"creator_name,omitempty" `

    /*
        门店列表     */
    StoreIds  *[]string `json:"store_ids,omitempty" `

    /*
        外部门店列表     */
    OuterStoreIds  *[]string `json:"outer_store_ids,omitempty" `

    /*
        人群编码,saas平台人群编码:NEW_USER: 新用户, OLD_USER：老用户，LIGHT_NEW_USER：闪购新客     */
    MemberCrowdCodes  *[]string `json:"member_crowd_codes,omitempty" `

    /*
        限购信息     */
    Limit  *AlibabaRetailMarketingItemdiscountActivityQueryLimitDTO `json:"limit,omitempty" `

}

func (s *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO) SetDiscountType(v int64) *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO {
    s.DiscountType = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO) SetOutActId(v string) *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO {
    s.OutActId = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO) SetActId(v int64) *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO) SetActivityName(v string) *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO {
    s.ActivityName = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO) SetDescription(v string) *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO {
    s.Description = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO) SetStartTime(v int64) *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO {
    s.StartTime = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO) SetEndTime(v int64) *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO {
    s.EndTime = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO) SetWeekdays(v []int64) *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO {
    s.Weekdays = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO) SetEveryDayPeriods(v []string) *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO {
    s.EveryDayPeriods = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO) SetTerminals(v []int32) *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO {
    s.Terminals = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO) SetCreatorId(v string) *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO {
    s.CreatorId = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO) SetCreatorName(v string) *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO {
    s.CreatorName = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO) SetStoreIds(v []string) *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO {
    s.StoreIds = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO) SetOuterStoreIds(v []string) *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO {
    s.OuterStoreIds = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO) SetMemberCrowdCodes(v []string) *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO {
    s.MemberCrowdCodes = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO) SetLimit(v AlibabaRetailMarketingItemdiscountActivityQueryLimitDTO) *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountPromotionActivityDTO {
    s.Limit = &v
    return s
}
